html {
    width: 100%;
    height: 100%;
}

body {
    font-family: Arial, Helvetica, sans-serif;
}

#app {
    right: 20px;
    top: 30px;
    z-index: 900;
}

.title {
    font-size: 10px;
}

.display-flex {
    display: flex;
}

.search-box {
    border: transparent;
    width: 110px;
}

.attractive-details {
    flex-grow: 1;
}

h1 {
    text-align: center;
    font-family: sans-serif;
}

#featureImages {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin: 10px;
    flex-grow: 0;
    max-height: 750px;
}

#lightbox {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    z-index: 999;
    background: white;
    border: 1px solid grey;
    padding: 10px;
    top: 200px;
    width: 90%;
}

.header .logos {
    width: 200px;
    padding: 20px;
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: center
}

.header .logos img {
    width: 80%;
}

.header {
    display: flex;

    align-items: center;
    height: 80px;
    justify-content: space-between;
    background: linear-gradient(90deg, rgb(255, 255, 255) 0%, rgb(180, 210, 255) 80%, rgb(255, 255, 255) 100%);
}

#map {
    width: 100%;
    height: calc(100% - 140px);
    /* margin: 15px; */

}

.material-symbols-outlined {
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24;
    cursor: pointer;

}

body {
    width: 100%;
    height: 100%;
    margin: 0px
}

.h1 {
    margin: 0px;
}

.project-panel {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: #03a9f4;
}

.action-button {
    display: flex;
    flex-direction: row;
}

.upload-file {
    color: blue;
    margin-top: 12px;
}

.count-container {
    margin-top: 10px;
    text-align: center;
}

.featureProperties-subdiv {
    margin: 10px;
    flex-grow: 0;
    border: 1px solid #eee;
}

.featureProperties-lat-lon {
    display: inline-block;
    width: 140px;
}

table {
    margin: 0px;
    border: 1px solid #eee;
}

td {
    color: #2f99dc;
}

strong {
    color: #ff5722;
}

.featureProperties-subdiv-2 {
    display: flex;
    flex-direction: row;
    margin: 10px;
    gap: 5px;
}

.search-project {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.modal-header-layer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 10px;
}

.layer {
    display: inline-block;
    margin-left: 10px;
}

.sentinel {
    display: inline-block;
    min-width: 116px;
    font-size: 12px;
}

.featureimage {

    height: 200px;
    width: 400px;
    flex-grow: 0;
    cursor: zoom-in;
}

.featureimageLightbox {

    /* flex-grow: 0;
    height: 80%; */
    height: 100%;
    max-height: 700px;
}

.add-data-button {

    background-color: #0a71ab;
    border: none;
    color: white;
    padding: 4px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    cursor: pointer;
    border-radius: 55px;
    margin: 10px;
    right: 2em;
    top: 1em;
    box-shadow: 0px 0px 10px 6px #ffffffb3;
    z-index: 99;
}

.clear {
    background-color: #ab0a25;
    border: none;
    color: white;
    padding: 4px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    cursor: pointer;
    border-radius: 55px;
    margin: 10px;
    right: 2em;
    top: 1em;

    z-index: 99;
}

.clear:hover {
    background-color: #d62240;
}

.add-data-button:hover {
    background-color: rgb(43, 90, 141);
}


.layers {
    background-color: rgb(173, 137, 16);
    border: none;
    color: white;
    padding: 4px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    cursor: pointer;
    border-radius: 55px;
    right: 2em;
    top: 1em;
    margin: 10px;
    box-shadow: 0px 0px 10px 6px #ffffffb3;

    z-index: 99;
}

.layers:hover {
    background-color: rgb(105, 94, 28);
}


.upload-file {
    background-color: #3c8f61;
    border: none;
    color: white;
    padding: 4px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    cursor: pointer;
    border-radius: 55px;
    right: 2em;
    top: 1em;

    box-shadow: 0px 0px 10px 6px #ffffffb3;

    z-index: 99;
    margin: 10px;
}

.upload-file:hover {
    background-color: #1a7c46;
}


.modal {
    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 120;
    top: 15%;
    left: 20px;
    width: 340px;
    max-height: 70%;
    min-height: 70%;
    height: 70%;
    overflow: auto;
    /* Remove the overflow property from here */
    background: white;

    border-radius: 20px;
    box-shadow: 1px 1px 9px rgba(39, 38, 38, 0.4);
    opacity: 2;
    /* Fixing opacity value */
    animation: fadeIn 0.3s ease-in-out forwards;
}

.feature-modal {
    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 50000;
    top: 15%;
    right: 20px;
    width: 340px;
    max-height: 70%;
    min-height: 70%;
    height: 70%;
    overflow: auto;
    /* Remove the overflow property from here */
    background: white;

    border-radius: 20px;
    box-shadow: 1px 1px 9px rgba(39, 38, 38, 0.4);
    opacity: 2;
    /* Fixing opacity value */
    animation: fadeIn 0.3s ease-in-out forwards;

}

.search-project-modal {

    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 120;
    top: 15%;
    left: 20px;
    width: 340px;
    max-height: 70%;
    min-height: 20%;

    overflow: auto;
    /* Remove the overflow property from here */
    background: white;

    border-radius: 20px;
    box-shadow: 1px 1px 9px rgba(39, 38, 38, 0.4);
    opacity: 2;
    /* Fixing opacity value */
    animation: fadeIn 0.3s ease-in-out forwards;

}


.modal-header {
    position: sticky;
    top: 0;
    z-index: 5;
    background-color: white;
    padding: 14px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal-content {
    margin-top: 60px;
    overflow: auto;
    /* Apply overflow-y to the content only */
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #fefefe;
    margin: 10px;

    border-bottom: 1px solid #eee;
    border-top: 1px solid #eee;
}

table {
    width: 100%;
    border-collapse: collapse;
}

.table-container {
    margin: 10px;
    max-height: 300px;
    /* Set a maximum height for the scrollable area */
    overflow-y: auto;
    /* Enable vertical scrolling */
}

thead {
    position: sticky;
    top: -3px;
    background-color: rgb(29, 29, 173);
    /* Optional: Set background color for the sticky header */
    z-index: 1;
    color: #ccc;
}

th,
td {

    padding: 8px;
    text-align: left;
}

.item-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
}

.item-name {
    flex-grow: 1;
}

.uploadModal {
    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 50;
    top: 15%;
    left: 20px;
    width: 340px;

    height: 30%;
    overflow: auto;
    /* Remove the overflow property from here */
    background: white;

    border-radius: 20px;
    box-shadow: 1px 1px 9px rgba(39, 38, 38, 0.4);
    opacity: 2;
    /* Fixing opacity value */
    animation: fadeIn 0.3s ease-in-out forwards;

}

.file-input-container {
    position: relative;
    width: 200px;
    /* Set width as per your requirement */
    height: 20px;
    /* Set height as per your requirement */
    overflow: hidden;
    text-align: center;
    background-color: #f0f0f0;
    border: 2px solid #0a71ab;
    border-radius: 5px;
    margin-top: 10px;
    cursor: pointer;
    display: inline-block;
}

#fileInput {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

.file-input-label {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

@media only screen and (max-width: 768px) {

    

    .header {
        gap: 0px !important;
    }

    .header .logos {

        padding: 0px !important;


    }

    .logos:nth-child(1) {
        justify-content: flex-start;
        /* Align to the left */
        margin-left: -10px;
        /* Negative margin */
    }

    .logos:nth-child(3) {
        justify-content: end;
        /* Align to the right */
    }

    .button-text {
        display: none;
    }

    .ol-mouse-position {
        top: 160px !important;

        right: 20px !important;
    }

    .ol-scale-line {

        top: 120px !important;
        right: 30px !important;


    }

    .searchBox {



        top: 170px !important;
        display: flex;
        flex-direction: row;
        right: 1px !important;


    }

    .searchBoxAddress {
        top: 210px !important;

        display: flex;
        flex-direction: row;
        right: 1px !important;

    }

    .modal {
        display: flex;
        flex-direction: column;
        position: fixed;
        z-index: 50;
        bottom: 0;
        left: 0;
        top: auto;
        width: 100%;
        max-height: 60%;
        min-height: 60%;
        height: 60%;
        overflow: auto;
        background: white;

        border-radius: 20px;
        box-shadow: 1px 1px 9px rgba(39, 38, 38, 0.4);
        opacity: 2;
        animation: fadeIn 0.3s ease-in-out forwards;
    }

    .search-project-modal {
        display: flex;
        flex-direction: column;
        position: fixed;
        z-index: 50;
        bottom: 0;
        left: 0;
        top: auto;
        width: 100%;
        max-height: 60%;

        height: 40%;
        overflow: auto;
        background: white;

        border-radius: 20px;
        box-shadow: 1px 1px 9px rgba(39, 38, 38, 0.4);
        opacity: 2;
        animation: fadeIn 0.3s ease-in-out forwards;
    }

    .feature-modal {
        display: flex;
        flex-direction: column;
        position: fixed;
        z-index: 60;
        top: auto;
        bottom: 0;
        right: 0;
        width: 100%;
        max-height: 60%;
        min-height: 60%;
        height: 60%;
        overflow: auto;
        background: white;

        border-radius: 20px;
        box-shadow: 1px 1px 9px rgba(39, 38, 38, 0.4);
        opacity: 2;
        /* Fixing opacity value */
        animation: fadeIn 0.3s ease-in-out forwards;

    }

    .uploadModal {
        display: flex;
        flex-direction: column;
        position: fixed;
        z-index: 50;
        top: auto;
        bottom: 0;
        left: 0;
        width: 100%;

        height: 30%;
        overflow: auto;
        /* Remove the overflow property from here */
        background: white;

        border-radius: 20px;
        box-shadow: 1px 1px 9px rgba(39, 38, 38, 0.4);
        opacity: 2;
        /* Fixing opacity value */
        animation: fadeIn 0.3s ease-in-out forwards;

    }

    .add-data-button {
        z-index: 30;
    }

    .featureimage {

        height: 200px;
        width: 400px;
    }

    .imagecontent {
        position: fixed;
        z-index: 100;
        left: 5px;
        top: 60px;
        width: 100px;
    }
 
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


.material-symbols-outlined {
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24;
    cursor: pointer;

}



.button-container {

    background-color: #03a9f49e;
}






.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
    transform: scale(0.7);
    min-width: 60px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}


input:checked+.slider {
    background-color: #2196F3;
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.switch-container {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.search-input {
    /*position: sticky;*/
    top: 100px;
    /* Adjust according to the height of your modal header */
    z-index: 3;
    background-color: white;
    padding: 10px;
    border-radius: 5px;
    border: 2px solid #0a71ab;
    border-radius: 10px;
    margin: 10px;
}

.footer {
    background-color: #03a9f4;
    color: rgb(255, 255, 255);
    font-family: Arial, Helvetica, sans-serif;
    z-index: 10;
    font-size: 18px;
    padding: 5px;
    position: fixed;
    bottom: 0px;
    width: 100%;
    text-align: center;
}

.imagecontent {

    position: fixed;
    z-index: 100;
    left: 5px;
    top: 0;
    width: 100px;
}

.searchBox {
    /* /* position: fixed; */
    padding: 3px;
    /* display: none; */
    top: 170px;
    right: 10px;
    position: absolute;
    /* Negative half of height. */
    /* margin-left: -76px; */
    z-index: 2;
    font-size: 12px;
    border-radius: 5px;
    outline: none;
    border: none;
    text-align: center;
    background-color: rgba(255, 255, 255, 1);

    -webkit-box-shadow: 0px 0px 3px rgba(70, 70, 70, 0.35);
    -moz-box-shadow: 0px 0px 3px rgba(70, 70, 70, 0.35);
    box-shadow: 0px 0px 3px rgba(70, 70, 70, 0.35);
}

.searchBoxAddress {
    padding: 3px;
    top: 200px;
    position: absolute;
    right: 10px;
    z-index: 2;
    font-size: 12px;
    border-radius: 5px;
    outline: none;
    border: none;
    text-align: center;
    background-color: rgba(255, 255, 255, 1);

    -webkit-box-shadow: 0px 0px 3px rgba(70, 70, 70, 0.35);
    -moz-box-shadow: 0px 0px 3px rgba(70, 70, 70, 0.35);
    box-shadow: 0px 0px 3px rgba(70, 70, 70, 0.35);
}

.goButton {
    background-color: rgba(33, 150, 243, 1);
    color: white;
    border: transparent;
    border-radius: 10px;
}


.download {
    padding: 4px;
    border: none;
    background-color: #ffeb4e;
    color: black;
    border-radius: 20px;
    cursor: pointer;
    margin: 10px;

    box-shadow: 0px 0px 10px 6px #ffffffb3;

}

.download:hover {
    background-color: #ffc107;

}

.custom-alert {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(31, 29, 29, 0.445);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 4000;
  }
  
  .custom-alert-content {
    background: white;
    padding: 20px;
    border-radius: 20px;
    text-align: center;
    box-shadow: 0p 0px 10px rgba(0, 0, 0, 0.1);
  }
  
  .custom-alert-content button {
    margin-top: 10px;
    padding: 5px 10px;
    background-color: #03A9F4;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }


